<h2 id="february-2020">
  February 2020
  <span id="authors">by @Bauke</span>
</h2>

### Open-Source Contributions

Early on in February a few contributions came in that have been implemented throughout the month:

* You can now view your 2FA backup codes, [contributed by](https://gitlab.com/tildes/tildes/-/merge_requests/95) @Bauke. Previously you could only view these once after you originally enabled 2FA.
* Private message fields can now be auto-filled with some query parameters, [contributed by](https://gitlab.com/tildes/tildes/-/merge_requests/92) @deing.
* Topics that link to IP addresses are now displayed correctly, [contributed by](https://gitlab.com/tildes/tildes/-/merge_requests/96) @blitz.
* The "Post a new topic" button has been added to group searches, [contributed by](https://gitlab.com/tildes/tildes/-/merge_requests/98) @Bauke.
* Group and user links were added to the "Open links in a new tab" feature, [contributed by](https://gitlab.com/tildes/tildes/-/merge_requests/97) @Bauke.
* The "Set as account default" button for themes will now show on page load, [contributed by](https://gitlab.com/tildes/tildes/-/merge_requests/101) @Bauke.
* You can now view the Markdown of everyone else's topics and comments by using the `More...` dropdown and then clicking `View Markdown`, [contributed by](https://gitlab.com/tildes/tildes/-/merge_requests/93) @Bauke.
* You can now change the default comment sort order in [your settings](https://tildes.net/settings), [contributed by](https://gitlab.com/tildes/tildes/-/merge_requests/99) @Bauke.

If you're interested in contributing to Tildes, check out the [Contributing document](https://gitlab.com/tildes/tildes/-/blob/master/CONTRIBUTING.md). It contains all the information you'll need to get up and running, thank you!

### Issue Log Changes

If you're reading this on the website, you may have noticed by now that the Issue Log changed a little bit. Last month I [mentioned in a comment](https://tildes.net/~tildes/lh0/tildes_issue_log_january_2020#comment-4jck) that I had been wanting to make some changes for a while, so after a little dedication to getting it done, the new Issue Log is now up and running.

Below are some of the specific changes I've made that should (hopefully) make the Issue Log better for all you lovely people that read it:

* [The home page](../) has been slimmed down. It now only includes the About section and the various feeds you can read the Issue Log from.
* The full list of posts [was moved to here](../posts.html) and redesigned to be a bit more practical. The most recent post is boldened in that list.
* There is now [a mailing list](https://lists.sr.ht/~bauke/tildes-issue-log) you can subscribe to to receive the Issue Log directly in your email.
* A button to toggle between a light and dark theme was added, it is located in the top right of the header. <small>I'm still playing around with some colors to meet the WCAG contrast ratios, so they'll change a little in the coming month(s), but I've decided they're fine for now.</small>
* The [Statistics section](#statistics) was drastically shortened. Now it only includes concrete numbers from GitLab, no more averages and lists of things. If you have any suggestions for more GitLab-specific statistics you'd like to see like the ones available, do let me know and I'll see what I can do.
* The issue table was removed, I figured if you're really interested in keeping up with *all* the things that happen you should just follow [the GitLab project](https://gitlab.com/tildes/tildes) through any of the various ways GitLab provides. <small>I might bring it back in a condensed form in some way though, if I can figure something out.</small>
* The URL schema was changed from `/posts/:month-:year.html` to `/:year/:month.html`. [Old links](../posts/january-2020.html) will still work but will just redirect you to the new one.
* The "Details" section of each highlight has been removed, this included when and by who the highlight was written. The author(s) of the post can now be found in the main header of the post.

Besides making the end result better, I've also made some changes that will make the developing and writing side easier:

* Posts are now written in Markdown.
* The HTML is now generated using various templates, previously a lot of copy-pasting was involved.
* The [Statistics section](#statistics) now automatically gets added to the post. Previously I had to copy it from a different file and paste it into the post manually.
* The [Official Topics section](#official-topics) is now automatically generated.
* User mentions and group links (ie. @Tildes and ~tildes) are now automatically linkified (and also have different colors).
